<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.DateFormatter"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	DateFormatter dateFormat = new DateFormatter("yyyy-MM-dd");
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~generate-referral-forms.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>
#not-found
{
	margin: 0 1em 0 4em; 
	padding: 0.5em 1em; 
	font-family: monospace,Courier New;
	max-height: 25em;
	overflow: auto;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Generate referral forms" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Enter info on the referral form batch to create</div>
		<div class="step-content">
	
			<div class="bg-filled-50" style="padding: 2px;">
				* A form set consists of forms with the same base SCAN-B ID, i.e. ignoring optional suffix.<br>
				* A form batch consists of a number of form sets with consecutive SCAN-B ID's.<br>
				* A form batch is distributed as two files, with forms intended for printing on<br>
				&nbsp;&nbsp;&nbsp;referral form sheets or regular paper, respectively:<br>
				<br>
				&nbsp;&nbsp;&nbsp;Batch file 1: Form sets with 2 or 4 (Kit 2) forms to be printed on referral form sheets.<br>
				&nbsp;&nbsp;&nbsp;Batch file 2: Form sets with 2 forms to be printed on regular paper.<br>
				<br>
				&nbsp;&nbsp;&nbsp;Printing options:<br>
				<br>
				&nbsp;&nbsp;&nbsp;Batch file 1: One-sided printing, one page per sheet, print size "Actual size".<br>
				&nbsp;&nbsp;&nbsp;Batch file 2: Double-sided printing, two pages per sheet, print size "Actual size".<br>
				<br> 
			</div>

			<table class="step-form">
			<tr>
				<td class="prompt">Site</td>
				<td class="input">
					<select id="sites" name="sites" style="width: 15em;"></select>
				</td>
				<td class="status" id="sites.status"></td>
				<td class="help">
					<span id="sites.message" class="message"></span>
					Select what site to generate referral forms for.
				</td>
			</tr>
			<tr>
				<td class="prompt">Form set variant</td>
				<td class="input">
					<select name="referralvariant" id="referralvariant">
						<option value="kit1_standard" selected="yes">Kit 1 - Standard</option>
						<option value="kit2_neoadjuvant">Kit 2 - Neoadjuvant therapy</option>
					</select>
				</td>
				<td valign="top" class="status" id="referralvariant.status"></td>
				<td class="help">
					<span id="referralvariant.message" class="message"></span>
					Select form set variant.
				</td>
			</tr>
			</table>
			<div id="step1message"></div>

		</div>
	</div>

	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Referral form generation</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Start SCAN-B ID</td>
				<td class="input"><input type="text" name="caseName" id="caseName"
					class="required auto-init" data-auto-init="focus"
					style="width: 12em;" maxlength="12"></td>
				<td class="status" id="caseName.status"></td>
				<td class="help">
					<span id="caseName.message" class="message"></span>
					The 7-digit SCAN-B ID (barcode) for the first referral form set. Last updated: <b><span id="scanbIdLastUpdated"></span></b>.
				</td>
			</tr>
			<tr>
				<td class="prompt"># Form sets</td>
				<td class="input"><input type="text" name="nofFormSets" id="nofFormSets"
					class="required auto-init" data-auto-init="focus"
					style="width: 12em;" maxlength="12"></td>
				<td class="status" id="nofFormSets.status"></td>
				<td class="help">
					<span id="nofFormSets.message" class="message"></span>
					Number of form sets to generate.
				</td>
			</tr>
			</table>
			<div id="step2message"></div>
		</div>
	</div>

	<div class="step" id="step-3">
		<div class="step-no">3</div>
		<div class="step-title">Referral form download</div>
		<div class="step-content">

			<table class="step-form">
			</table>
			<div id="step3message"></div>
		</div>
	</div>

	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>

	<div id="not-found" style="display: none;" class="bg-filled-100 fullborder"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td><base:button id="downloadformbatch1" title="Download form batch file 1" image="<%=home+"/images/download.png"%>" /></td>
		<td><base:button id="downloadformbatch2" title="Download form batch file 2" image="<%=home+"/images/download.png"%>" /></td>
		<td><base:button id="updateusedscanbidlist" title="Update used SCAN-B ID list" image="<%=home+"/images/gonext.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>